diff -ur iio-sensor-proxy-2.0/configure iio-sensor-proxy-2.0.new/configure
--- iio-sensor-proxy-2.0/configure	2016-12-12 15:35:45.000000000 +0300
+++ iio-sensor-proxy-2.0.new/configure	2021-04-18 20:55:06.116166673 +0300
@@ -596,7 +596,6 @@
 HAVE_GTK_TESTS_TRUE
 GTK_TESTS_LIBS
 GTK_TESTS_CFLAGS
-systemdsystemunitdir
 udevrulesdir
 GTK_DOC_USE_REBASE_FALSE
 GTK_DOC_USE_REBASE_TRUE
@@ -727,7 +726,6 @@
 enable_gtk_doc_html
 enable_gtk_doc_pdf
 with_udevrulesdir
-with_systemdsystemunitdir
 enable_gtk_tests
 '
       ac_precious_vars='build_alias
@@ -1385,8 +1383,6 @@
   --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
   --with-html-dir=PATH    path to installed docs
   --with-udevrulesdir=DIR Directory for udev rules
-  --with-systemdsystemunitdir=DIR
-                          Directory for systemd service files
 
 Some influential environment variables:
   CC          C compiler command
@@ -5365,29 +5361,6 @@
 udevrulesdir=$with_udevrulesdir
 
 
-if test -n "$PKG_CONFIG" && \
-    { { $as_echo "$as_me:${as_lineno-$LINENO}: \$PKG_CONFIG --exists --print-errors \"systemd\""; } >&5
-  ($PKG_CONFIG --exists --print-errors "systemd") 2>&5
-  ac_status=$?
-  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
-  test $ac_status = 0; }; then
-  :
-else
-  as_fn_error $? "systemd development libraries are required" "$LINENO" 5
-fi
-
-# Check whether --with-systemdsystemunitdir was given.
-if test "${with_systemdsystemunitdir+set}" = set; then :
-  withval=$with_systemdsystemunitdir;
-else
-  with_systemdsystemunitdir=$($PKG_CONFIG --variable=systemdsystemunitdir systemd)
-fi
-
-if test x$with_systemdsystemunitdir != xno; then
-	systemdsystemunitdir=$with_systemdsystemunitdir
-
-fi
-
 # Check whether --enable-gtk-tests was given.
 if test "${enable_gtk_tests+set}" = set; then :
   enableval=$enable_gtk_tests;
diff -ur iio-sensor-proxy-2.0/data/Makefile.am iio-sensor-proxy-2.0.new/data/Makefile.am
--- iio-sensor-proxy-2.0/data/Makefile.am	2016-09-13 15:22:44.000000000 +0300
+++ iio-sensor-proxy-2.0.new/data/Makefile.am	2021-04-18 20:55:45.564168456 +0300
@@ -1,8 +1,5 @@
 udevrules_DATA = 80-iio-sensor-proxy.rules
 
-systemdservicedir = $(systemdsystemunitdir)
-systemdservice_in_files = iio-sensor-proxy.service.in
-systemdservice_DATA = iio-sensor-proxy.service
 iio-sensor-proxy.service: iio-sensor-proxy.service.in Makefile
 	$(AM_V_GEN) $(SED) -e "s|\@sbindir\@|$(sbindir)|" $< > $@
 
@@ -10,4 +7,4 @@
 dbusconf_DATA = net.hadess.SensorProxy.conf
 
 CLEANFILES = iio-sensor-proxy.service
-EXTRA_DIST = $(udevrules_DATA) $(dbusconf_DATA) $(systemdservice_in_files)
+EXTRA_DIST = $(udevrules_DATA) $(dbusconf_DATA)
diff -ur iio-sensor-proxy-2.0/data/Makefile.in iio-sensor-proxy-2.0.new/data/Makefile.in
--- iio-sensor-proxy-2.0/data/Makefile.in	2016-12-12 15:35:46.000000000 +0300
+++ iio-sensor-proxy-2.0.new/data/Makefile.in	2021-04-18 20:56:25.436170258 +0300
@@ -156,8 +156,8 @@
          $(am__cd) "$$dir" && rm -f $$files; }; \
   }
 am__installdirs = "$(DESTDIR)$(dbusconfdir)" \
-	"$(DESTDIR)$(systemdservicedir)" "$(DESTDIR)$(udevrulesdir)"
-DATA = $(dbusconf_DATA) $(systemdservice_DATA) $(udevrules_DATA)
+	"$(DESTDIR)$(udevrulesdir)"
+DATA = $(dbusconf_DATA) $(udevrules_DATA)
 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
 am__DIST_COMMON = $(srcdir)/Makefile.in
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
@@ -269,20 +269,16 @@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
 sysconfdir = @sysconfdir@
-systemdsystemunitdir = @systemdsystemunitdir@
 target_alias = @target_alias@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
 udevrulesdir = @udevrulesdir@
 udevrules_DATA = 80-iio-sensor-proxy.rules
-systemdservicedir = $(systemdsystemunitdir)
-systemdservice_in_files = iio-sensor-proxy.service.in
-systemdservice_DATA = iio-sensor-proxy.service
 dbusconfdir = $(sysconfdir)/dbus-1/system.d
 dbusconf_DATA = net.hadess.SensorProxy.conf
 CLEANFILES = iio-sensor-proxy.service
-EXTRA_DIST = $(udevrules_DATA) $(dbusconf_DATA) $(systemdservice_in_files)
+EXTRA_DIST = $(udevrules_DATA) $(dbusconf_DATA)
 all: all-am
 
 .SUFFIXES:
@@ -336,27 +332,6 @@
 	@list='$(dbusconf_DATA)'; test -n "$(dbusconfdir)" || list=; \
 	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
 	dir='$(DESTDIR)$(dbusconfdir)'; $(am__uninstall_files_from_dir)
-install-systemdserviceDATA: $(systemdservice_DATA)
-	@$(NORMAL_INSTALL)
-	@list='$(systemdservice_DATA)'; test -n "$(systemdservicedir)" || list=; \
-	if test -n "$$list"; then \
-	  echo " $(MKDIR_P) '$(DESTDIR)$(systemdservicedir)'"; \
-	  $(MKDIR_P) "$(DESTDIR)$(systemdservicedir)" || exit 1; \
-	fi; \
-	for p in $$list; do \
-	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
-	  echo "$$d$$p"; \
-	done | $(am__base_list) | \
-	while read files; do \
-	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(systemdservicedir)'"; \
-	  $(INSTALL_DATA) $$files "$(DESTDIR)$(systemdservicedir)" || exit $$?; \
-	done
-
-uninstall-systemdserviceDATA:
-	@$(NORMAL_UNINSTALL)
-	@list='$(systemdservice_DATA)'; test -n "$(systemdservicedir)" || list=; \
-	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
-	dir='$(DESTDIR)$(systemdservicedir)'; $(am__uninstall_files_from_dir)
 install-udevrulesDATA: $(udevrules_DATA)
 	@$(NORMAL_INSTALL)
 	@list='$(udevrules_DATA)'; test -n "$(udevrulesdir)" || list=; \
@@ -419,7 +394,7 @@
 check: check-am
 all-am: Makefile $(DATA)
 installdirs:
-	for dir in "$(DESTDIR)$(dbusconfdir)" "$(DESTDIR)$(systemdservicedir)" "$(DESTDIR)$(udevrulesdir)"; do \
+	for dir in "$(DESTDIR)$(dbusconfdir)" "$(DESTDIR)$(udevrulesdir)"; do \
 	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
 	done
 install: install-am
@@ -473,7 +448,7 @@
 
 info-am:
 
-install-data-am: install-dbusconfDATA install-systemdserviceDATA \
+install-data-am: install-dbusconfDATA \
 	install-udevrulesDATA
 
 install-dvi: install-dvi-am
@@ -518,7 +493,7 @@
 
 ps-am:
 
-uninstall-am: uninstall-dbusconfDATA uninstall-systemdserviceDATA \
+uninstall-am: uninstall-dbusconfDATA \
 	uninstall-udevrulesDATA
 
 .MAKE: install-am install-strip
@@ -530,11 +505,11 @@
 	install-dvi-am install-exec install-exec-am install-html \
 	install-html-am install-info install-info-am install-man \
 	install-pdf install-pdf-am install-ps install-ps-am \
-	install-strip install-systemdserviceDATA install-udevrulesDATA \
+	install-strip install-udevrulesDATA \
 	installcheck installcheck-am installdirs maintainer-clean \
 	maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
 	pdf-am ps ps-am tags-am uninstall uninstall-am \
-	uninstall-dbusconfDATA uninstall-systemdserviceDATA \
+	uninstall-dbusconfDATA \
 	uninstall-udevrulesDATA
 
 .PRECIOUS: Makefile
diff -ur iio-sensor-proxy-2.0/docs/Makefile.in iio-sensor-proxy-2.0.new/docs/Makefile.in
--- iio-sensor-proxy-2.0/docs/Makefile.in	2016-12-12 15:35:46.000000000 +0300
+++ iio-sensor-proxy-2.0.new/docs/Makefile.in	2021-04-18 20:55:15.764167109 +0300
@@ -245,7 +245,6 @@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
 sysconfdir = @sysconfdir@
-systemdsystemunitdir = @systemdsystemunitdir@
 target_alias = @target_alias@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
diff -ur iio-sensor-proxy-2.0/Makefile.am iio-sensor-proxy-2.0.new/Makefile.am
--- iio-sensor-proxy-2.0/Makefile.am	2015-05-22 17:16:20.000000000 +0300
+++ iio-sensor-proxy-2.0.new/Makefile.am	2021-04-18 20:55:31.724167830 +0300
@@ -2,7 +2,6 @@
 
 DISTCHECK_CONFIGURE_FLAGS =								\
 	--enable-gtk-doc								\
-	--with-udevrulesdir=$$dc_install_base/$(udevrulesdir)				\
-	--with-systemdsystemunitdir=$$dc_install_base/$(systemdsystemunitdir)
+	--with-udevrulesdir=$$dc_install_base/$(udevrulesdir)		
 
 EXTRA_DIST = README.md
diff -ur iio-sensor-proxy-2.0/Makefile.in iio-sensor-proxy-2.0.new/Makefile.in
--- iio-sensor-proxy-2.0/Makefile.in	2016-12-12 15:35:46.000000000 +0300
+++ iio-sensor-proxy-2.0.new/Makefile.in	2021-04-18 20:57:01.556171891 +0300
@@ -326,7 +326,6 @@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
 sysconfdir = @sysconfdir@
-systemdsystemunitdir = @systemdsystemunitdir@
 target_alias = @target_alias@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
@@ -335,8 +334,7 @@
 SUBDIRS = data src docs
 DISTCHECK_CONFIGURE_FLAGS = \
 	--enable-gtk-doc								\
-	--with-udevrulesdir=$$dc_install_base/$(udevrulesdir)				\
-	--with-systemdsystemunitdir=$$dc_install_base/$(systemdsystemunitdir)
+	--with-udevrulesdir=$$dc_install_base/$(udevrulesdir)		
 
 EXTRA_DIST = README.md
 all: all-recursive
diff -ur iio-sensor-proxy-2.0/src/Makefile.in iio-sensor-proxy-2.0.new/src/Makefile.in
--- iio-sensor-proxy-2.0/src/Makefile.in	2016-12-12 15:35:46.000000000 +0300
+++ iio-sensor-proxy-2.0.new/src/Makefile.in	2021-04-18 20:54:37.596165383 +0300
@@ -340,7 +340,6 @@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
 sysconfdir = @sysconfdir@
-systemdsystemunitdir = @systemdsystemunitdir@
 target_alias = @target_alias@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
